div.chapter-list {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-wrap: wrap;

    gap: 16px;

    width: 50%;
}

div.chapter-entry {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;

    gap: 8px;

    position: relative;
    
    width: 125px;
    aspect-ratio: 150 / 175;

    padding: 8px;
    box-sizing: border-box;

    background-color: var(--col-darker);
    border: 1px solid var(--col-dark);
    border-radius: 4px;

    transition: background-color 0.2s var(--ease-sine-io);
}

div.chapter-entry:hover {
    background-color: var(--col-dark);
}

div.chapter-entry > img {
    width: 100%;
    aspect-ratio: 1;

    background-color: var(--col-dark);
    border: 1px solid var(--col-dark);
    border-radius: 4px;
}

div.chapter-entry > a {
    position: absolute;

    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

div.stage-list {
    position: relative;

    width: 50%;
    max-height: 256px;

    background-color: var(--col-darker);
    border: 1px solid var(--col-dark);
    border-radius: 4px;

    overflow-y: scroll;
}

div.stage-list > div.stage-header {
    position: sticky;
    top: 0;
    left: 0;

    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-direction: row;

    width: 100%;
    height: 32px;

    background-color: var(--col-darkerer);
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
    border-bottom: 1px solid var(--col-dark);

    z-index: 8008134;
}

div.stage-header > b {
    padding: 0 16px;
    box-sizing: border-box;

    /* flex-grow: 1; */
    font-size: 14px;

    color: var(--col-lighter);
}

div.stage-header > b:nth-child(1) {
    flex-basis: 35%;
}

div.stage-header > b:nth-child(2),
div.stage-header > b:nth-child(3),
div.stage-header > b:nth-child(4) {
    flex-basis: 21.667%;
}

div.stage-entry {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-direction: row;

    width: 100%;
    height: 64px;

    background-color: var(--col-darkerer);
    border-bottom: 1px solid var(--col-dark);

    cursor: pointer;

    transition: background-color 0.2s var(--ease-sine-io);
}

div.stage-entry:hover {
    background-color: var(--col-dark);
}

div.stage-entry, div.stage-header {
    min-width: 750px;
}

div.stage-entry > span {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-direction: row;

    column-gap: 8px;

    padding: 0 16px;
    box-sizing: border-box;
    font-size: 14px;
}

div.stage-entry > span:nth-child(1) {
    flex-basis: 35%;

    font-weight: bold;
}

div.stage-entry > span:nth-child(2),
div.stage-entry > span:nth-child(3),
div.stage-entry > span:nth-child(4) {
    flex-basis: 21.667%;
}

div.stage-entry:nth-child(even) {
    background-color: var(--col-darkest);
}

div.stage-entry:nth-child(even):hover {
    background-color: var(--col-dark);
}

div.stage-entry:last-child {
    border-bottom: none;
}

div.stage-info-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 8px;

    background-color: rgba(0, 0, 0, 0.6);

    z-index: 8008136;

    transition: opacity 0.2s var(--ease-sine-io);
}

div.stage-info {
    position: relative;

    display: flex;
    align-items: flex-start;
    justify-content: stretch;
    flex-direction: column;
    gap: 4px;

    width: 500px;
    height: 70vh;

    padding: 16px;
    box-sizing: border-box;

    background-color: var(--col-darkerer);
    border: 1px solid var(--col-dark);
    border-radius: 4px;

    overflow-y: scroll;
}

div.stage-info > img {
    width: 100%;
    height: 100px;

    box-sizing: border-box;

    background-color: var(--col-darkerer);
    border: 1px solid var(--col-dark);
    border-radius: 4px;

    object-fit: cover;
}

div.stage-info h2,
div.stage-info h3 {
    width: 100%;
    padding-bottom: 8px;

    margin: 0;
    margin: 8px 0;
    border-bottom: 1px solid var(--col-dark);
}

div.stage-info div.rapture-item {
    flex-basis: 64px;
}

div.stage-info > div.stage-attribute {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-wrap: wrap;

    width: 100%;

    column-gap: 4px;

    padding: 2px 0;
}

div.stage-info > ul {
    margin: 2px 0;
    padding-left: 24px;
    font-size: 14px;
}

div.stage-info > ul > li {
    margin: 4px 0;
}

div#stage-info-exit {
    display: flex;
    align-items: center;
    justify-content: center;

    width: 500px;
    height: 32px;

    background-color: var(--col-darkerer);
    border: 1px solid var(--col-dark);
    border-radius: 4px;

    box-sizing: border-box;

    transition: background-color 0.2s var(--ease-sine-io),
                color 0.2s var(--ease-sine-io);
    
    cursor: pointer;
}

div#stage-info-exit:hover {
    background-color: var(--col-dark);
    color: var(--col-lightest);
}

div#stage-info-wave-list {
    width: 100%;
}

@media screen and (max-width: 960px) {
    div.chapter-list {
        width: calc(100% - 32px);
        gap: 12px;
    }

    div.stage-list {
        width: calc(100% - 32px);
    }

    div.chapter-entry {
        width: 100px;
        font-size: 14px;
    }

    div.chapter-entry > span {
        font-size: 14px;
    }

}

@media screen and (max-width: 532px) {
    div.stage-info {
        width: calc(100% - 32px);
        max-height: 60vh;
    }

    div.stage-info div.rapture-item {
        flex-basis: 48px;
    }

    div#stage-info-exit {
        width: calc(100% - 32px);
    }
}

@media screen and (max-width: 400px) {
    div.chapter-list {
        gap: 8px;
    }

    div.chapter-entry {
        width: 85px;
    }

    div.chapter-entry > span {
        font-size: 12px;
    }
} 